summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ferenc Deak <ferenc.deak@gmail.com>2010-05-12 17:40:57 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:40:57 +0200
commitd0fdc44ca87bdf0d40aec6f7bf58e62077625390 (patch)
treeee56f1992dacb0b654eb038ac61cb5cdf0c13f92
parent1346e0e8e4062b7f8670b819f2c770d294de46b6 (diff)
downloadslackbuilds-d0fdc44ca87bdf0d40aec6f7bf58e62077625390.tar.gz
slackbuilds-d0fdc44ca87bdf0d40aec6f7bf58e62077625390.tar.xz
libraries/lablgtk: Updated for version 2.10.1
-rw-r--r--libraries/lablgtk/README19
-rw-r--r--libraries/lablgtk/lablgtk.SlackBuild22
-rw-r--r--libraries/lablgtk/lablgtk.info2
-rw-r--r--libraries/lablgtk/slack-desc14
4 files changed, 28 insertions, 29 deletions
diff --git a/libraries/lablgtk/README b/libraries/lablgtk/README
index 4b92f392af..98eaaaae94 100644
--- a/libraries/lablgtk/README
+++ b/libraries/lablgtk/README
@@ -1,19 +1,6 @@
LablGTK is an Objective Caml interface to gtk+/gtk+-2
-It uses the rich type system of Objective Caml 3 to provide a strongly typed,
-yet very comfortable, object-oriented interface to gtk+. This is not that easy
-if you know the dynamic typing approach taken by gtk+.
+LablGTK uses the rich type system of Objective Caml 3 to provide a strongly
+typed, yet very comfortable, object-oriented interface to gtk+.
-It is still under development, but already fully functional. All widgets (but
-one) are available, with almost all their methods. The GLArea widget is also
-supported in combination with LablGL. LibGlade and GdkPixbuf support is also
-included for both versions. LablGTK2 adds support for gnomecanvas, librsvg and
-libpanel Many examples are provided.
-
-Objective Caml threads are supported, including for the toplevel, which allows
-for interactive use of the library. Since release 1.2.1, LablGTK contains
-support for rapid development with glade, through an interface wrapper compiler,
-and a libglade binding. You can also find code generators in the tools section.
-
-You need an ocaml compiler (available on http://slackbuilds.org) to use and/or
-to compile.
+This requires ocaml.
diff --git a/libraries/lablgtk/lablgtk.SlackBuild b/libraries/lablgtk/lablgtk.SlackBuild
index 5d8d664941..53762927ed 100644
--- a/libraries/lablgtk/lablgtk.SlackBuild
+++ b/libraries/lablgtk/lablgtk.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=lablgtk
VERSION=2.10.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -35,8 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -45,20 +50,27 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-./configure --prefix=/usr
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
sed -i -e "s/\\(CFLAGS = .*\\)/\\1 ${SLKCFLAGS}/" src/Makefile
sed -i -e "s/\\(CFLAGS += -O\\)/CFLAGS +=/" src/Makefile
+
make world
make DESTDIR=$PKG install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/lablgtk/lablgtk.info b/libraries/lablgtk/lablgtk.info
index afcf860128..e15f617a0b 100644
--- a/libraries/lablgtk/lablgtk.info
+++ b/libraries/lablgtk/lablgtk.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/dist/lablgtk-2.10.1.tar.gz
MD5SUM="bd7073ca05e684e5d5a3d553371fd6e5"
MAINTAINER="Ferenc Deak"
EMAIL="ferenc.deak@gmail.com"
-APPROVED="David Somero"
+APPROVED="dsomero,rworkman"
diff --git a/libraries/lablgtk/slack-desc b/libraries/lablgtk/slack-desc
index ba56bb1c47..ae0f705da6 100644
--- a/libraries/lablgtk/slack-desc
+++ b/libraries/lablgtk/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
lablgtk: LablGTK (an Objective Caml interface to gtk+/gtk+-2)
-lablgtk:
+lablgtk:
lablgtk: LablGTK uses the rich type system of Objective Caml 3 to provide a
lablgtk: strongly typed, yet very comfortable, object-oriented interface to
lablgtk: gtk+.
-lablgtk:
-lablgtk: It is still under development, but already fully functional. All
-lablgtk: widgets (but one) are available, with almost all their methods. The
-lablgtk: GLArea widget is also supported in combination with LablGL. LibGlade
-lablgtk: and GdkPixbuf support is also included for both versions. LablGTK2
-lablgtk: adds support for gnomecanvas, librsvg and libpanel.
+lablgtk:
+lablgtk:
+lablgtk:
+lablgtk:
+lablgtk:
+lablgtk: